#
# $Id: ssim.spec,v 1.5 2005/11/20 12:20:10 carzanig Exp $
#
%define name	ssim
%define ver	%version
%define rel 1

Summary:   Simple Discrete-Event Simulator
Name:      %{name}
Version:   %{ver}
Release:   %rel
License:   GPL
Group:     Applications/Engineering
Source:    http://serl.cs.colorado.edu/serl/~carzanig/ssim/%{name}-%{ver}.tar.gz
URL:       http://serl.cs.colorado.edu/serl/~carzanig/ssim/
Packager:  Antonio Carzaniga <carzanig@cs.colorado.edu>

BuildRoot: %{_topdir}/rpmroot

%description 

This library implements a very simple sequential discrete-event
simulator.  A simulation consists of an execution of one or more
processes, each one executing a number of actions, at given intervals,
or in response to signals from other processes.  The library defines
the basic interface of a process, and provides the main simulation
scheduler, including methods for creating, starting, and stopping
processes, and for scheduling actions or signalling other processes.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-dependency-tracking
make all

%install

make DESTDIR="$RPM_BUILD_ROOT" install_doc=no install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%doc doc/HTML
%attr(644,root,root) /usr/include/siena/*
%attr(755,root,root) /usr/lib/lib*.so*
%attr(755,root,root) /usr/lib/lib*.la
%attr(644,root,root) /usr/lib/*.*a

%post
ldconfig

%postun
ldconfig

%changelog
* Mon Jan 27 2003 Antonio Carzaniga <carzanig@cs.colorado.edu> %version-1
- version 1.2.0

* Mon Jan 20 2003 Antonio Carzaniga <carzanig@cs.colorado.edu> 
- Initial build.

